<?php
/**
 * Plugin Name: WpTeam Lightbox 
 * Plugin URI: http://wpteam.org/wordpress-lightbox-plugin/
 * Description: WpTeam Lightbox plugin is an high customizable and responsive product for displaying images and videos in popup. WordPress WpTeam Lightbox plugin is one of the most popular and useful plugins for WordPress websites.
 * Version: 1.0.1
 * Author: wpteam
 * License: GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
define('wpdevart_lightbox_plugin_url', trailingslashit( plugins_url('', __FILE__ )),0);
define('wpdevart_lightbox_plugin_path',trailingslashit( plugin_dir_path( __FILE__ )),0);
class wpdevart_lightbox{
	// required variables
	public  $options;
	
	public $database_parametrs;	
	
	function __construct(){		
		
		$this->install_databese(); // class for information abauot databese and geting information
		$this->include_library(); // include library for geting options set options and other
		$this->call_base_filters(); // call base filters for conecting to wordpress sme requerid functions
		$this->create_admin_menu(); // function for creating admin
		$this->crate_fornt_end(); // fuction for crating front end
	
			
	}
	private function install_databese(){
		
		require_once(wpdevart_lightbox_plugin_path.'includes/install_database.php'); //include databesse file
		
		$lightbox_install_database = new wpdevart_lightbox_database_params(); // create object
		
		$this->database_parametrs = $lightbox_install_database->installed_options; // conect initials variables to class
		
	}
	private function include_library(){
		
		require_once(wpdevart_lightbox_plugin_path.'includes/library.php'); // library for lightbox
				
		
	}
	private function create_admin_menu(){
		
		require_once(wpdevart_lightbox_plugin_path.'includes/admin_menu.php');		
		
		$admin_menu = new wpdevart_lightbox_admin_menu(array('databese_parametrs' =>$this->database_parametrs));		
		
	}	
	private function crate_fornt_end(){
		
		require_once(wpdevart_lightbox_plugin_path.'includes/front_end.php');	
			
		$front_end = new wpdevart_lightbox_front_end(array('databese_parametrs' =>$this->database_parametrs));	
		
	}
	public function registr_requeried_scripts(){		
	
		wp_register_script('wpdevart_lightbox_front_end_js',wpdevart_lightbox_plugin_url.'includes/javascript/wpdevart_lightbox_front.js',array('jquery'),'1.0',false);
		wp_register_script('wpdevart_lightbox_admin_scripts',wpdevart_lightbox_plugin_url.'includes/javascript/wpdevart_lightbox_admin_scripts.js');
		wp_register_style('wpdevart_lightbox_front_end_css',wpdevart_lightbox_plugin_url.'includes/style/wpdevart_lightbox_front.css');
		wp_register_style('admin_style_wp_lightbox',wpdevart_lightbox_plugin_url.'includes/style/admin_wpdevart_lightbox.css');	
		wp_register_style('wpdevart_lightbox_effects',wpdevart_lightbox_plugin_url.'includes/style/effects_lightbox.css');
		wp_register_style('jquery-ui-style',wpdevart_lightbox_plugin_url.'includes/style/jquery-ui-style.css');
		
		
	}

	public function call_base_filters(){
		
		add_action( 'init',  array($this,'registr_requeried_scripts') );
		
	}
  	

}
$wpdevart_lightbox = new wpdevart_lightbox();

/*WPTEAM UPDATE PART*/

add_action('admin_init','wpteam_auto_update_main_function_wpdevart_lightbox_free'); //Function responsible for front-end		
function wpteam_auto_update_main_function_wpdevart_lightbox_free(){
	
	require_once(trailingslashit(plugin_dir_path( __FILE__ )).'auto_update_extension.php');// updatei hamar		
	$wpteam_update_plugin_info=__FILE__;
	
	$plugin_information=get_plugin_data($wpteam_update_plugin_info);	
	$wpteam_plugin_current_version = $plugin_information['Version'];	
	
	$wpteam_plugin_slug = trim(str_replace(dirname(dirname(__FILE__)),'',$wpteam_update_plugin_info),'\\');// replaceble
	$wpteam_plugin_slug=str_replace('\\','/',$wpteam_plugin_slug);
	$wpteam_plugin_remote_path = 'http://wpteam.org/wp-admin/admin-ajax.php?action=wpteam_update_plugins&plugin='.urlencode($wpteam_plugin_slug);
	new wpteam_auto_update_plugins ($wpteam_plugin_current_version, $wpteam_plugin_remote_path, $wpteam_plugin_slug,$plugin_information);	
}
/*WPTEAM UPDATE PART*/